/***********************************************************************
File name: alaska.c
Author:    bob		07/07/2003

Purpose:
         Read a 24-hour merged goes-sst dataset and 
	create a file containing  the alaska subsector.

Usage:  alaska  infile  outfile

Notes:

Last Modified:  07/07/2003 Initial version

***********************************************************************/

#include <stdio.h>
#include <stdlib.h>
/*
#include <stddef.h>
#include <string.h>
#include <memory.h>
#include <ctype.h>
#include <math.h>
*/

#define NROWS	2100	 /* xxx */
#define NCOLS	3000	 /* xxx */
#define ROW2	240	 /* xxx */
#define ROW1	1	 /* xxx */
#define ROW2	240	 /* xxx */
#define COL1	601	 /* xxx */
#define COL2	1300	 /* xxx */

/* Function prototypes */ 

int main (int argc, char *argv[])
{
    FILE  *inputFP;
    FILE  *outputFP;
    int   irow;
    char tempStr[NCOLS];           /* string to hold one input line */

    
    if (argc != 3)
    {
       printf("%s:Two arguments required\n", argv[0]);
       printf("Command line format:\n");
       printf("%s <infile name> <outfile name>\n", argv[0]);
       exit(EXIT_FAILURE);
    }

    if ((inputFP = fopen(argv[1], "r")) == NULL)
    {
       fprintf(stderr, "Cannot open file '%s' ... Exiting program\n", argv[1]);
       exit(EXIT_FAILURE);
    } else {
       printf("the input file is open successfully.\n");
    }

    if ((outputFP = fopen(argv[2], "w")) == NULL)
    {
       fprintf(stderr, "Cannot open output file '%s' ... Exiting program\n", argv[1]);
       exit(EXIT_FAILURE);
    } else {
       printf("the output file is open successfully.\n");
    }

    for ( irow = 1;  irow <= ROW2; irow++ ) {

       if ( fread( tempStr, sizeof(char), sizeof(char) * NCOLS, inputFP ) == NCOLS) {

          if ( irow >= ROW1 ){

             if ( fwrite( tempStr+COL1-1, 1, COL2-COL1+1, outputFP ) != COL2-COL1+1) {

                fprintf(stderr, "Error writing to '%s' ... Exiting program\n", argv[2]);
                exit(EXIT_FAILURE);
	     }
	  }
       }
       else {

          fprintf(stderr, "Error reading line '%d' from '%s' ... Exiting program\n",irow, argv[1]);
          exit(EXIT_FAILURE);
       }
    }

    fclose(inputFP);
    fclose(outputFP);

    return 0;
}

