/* --- angleinc_.c --- */

/* 4/12/01
 SNM
 Function to calculate the angle of incidence for specular reflection
 Inputs - satellite and solar azimuth and zenith angles (rad)
          s_azim = sun_a
	  s_zen = sun_z_rad
	  o_azim = sat_a
	  o_zen = sat_z_rad
	  Azimuths N=0, W+ve
 Output - omega = angle of incidence for specular reflection (rad)
          for sun sateliite geometry given notation zeisse 95
*/

#include <stdio.h>
#include <math.h>
#include <mcidas.h>

float angleinc_(float *s_azim, float *s_zen, float *o_azim, float *o_zen)
{

  float temp; 
  float omega;


  temp = 1+sin(*s_zen)*sin(*o_zen)*cos(*s_azim-*o_azim)+cos(*s_zen)*cos(*o_zen);
  omega = acos(sqrt(temp/2.0));

  /* return angle of incidence for specular reflection (rad)*/

  return omega;

}
