/* --- azimzenangles_.c --- */

/* 28/01/02
   SNM
   Function to calculate the satellite azimuth angle
   Inputs - pxlat2 =  pixel latitude (from nav_pixab3) 
            pxlon2 = pixel longitude (")
            orglon2 = satellite longitude (")
	    all in radians [-pi,pi} E+ve
   Output - returns satellite azimuth angle, sat_a (rad), N = 0, W +ve
*/

#include <stdio.h>
#include <math.h>

float azimzenangles_(float *pxlat2, float *pxlon2, float *orglon2)

{ 

  float azimuth;   /* satellite azimuth angle */
  float pi = 3.14159265;
  float  storeslon, olat, olon, slon;  /* variables to store angles for calculations */

  /* assign variables from nav_pixab2 to new names */
  /* avoids problems with values being changed incorrectly */
  olat = *pxlat2;
  olon = *pxlon2;
  slon = *orglon2;


  /*CJM */
  olon = olon - slon;
  storeslon = slon;
  slon = 0.0;
  /* CJM */


 /* CJM method for azimuth */
  azimuth = atan2((-1.0)*tan(olon),sin(olat));
    if ((azimuth == HUGE_VAL) ||  (azimuth == -HUGE_VAL))
    {
      azimuth = 0.0;
    }
    slon = storeslon;
    olon = olon + storeslon;
    /* CJM */


    /* returns the satellite azimuth angle (rad) */
    /* N = 0, W +ve */
    return azimuth;
}
