/* --- cmspeedoccprob_.c --- */

/* 4/12/01
 SNM
 Function to calulate the probability of facet (notation is zeisse 95)
 Inputs - facet tilts (zdeta_x, zdeta_y)
        - windspeed (m/s)
        - speed, 0 = velocity, 1 = speed
 Output - p = prob (probability of facet)

if speed = 0, uses wind velocity not speed, so zdeta_x and y 
must be defined relative to wind as in zeisse '95
NB. If we want to use velocity then the code will need to be updated 
to allow the facet tilts to be defined relative to wind.


*/

#include <stdio.h>
#include <math.h>

float cmspeedoccprob_(float *zdeta_x, float *zdeta_y, float *windspeed, int *speed)
{
  float sigma_u, sigma_c;
  float sigma, p;
  float pi = 3.14159265;

  if (*speed == 0)      /* velocity */
    {
      sigma_u = pow((0.00316**windspeed),0.5);
      sigma_c=pow((0.003+0.00192**windspeed),0.5);

      p=exp(-0.5*(pow(*zdeta_x,2)/pow(sigma_u,2) + pow(*zdeta_y,2)/pow(sigma_c,2))) / (2.0*pi*sigma_u*sigma_c);
 

    }else     /* speed */
      {

	/* wu 97 */
	sigma = sqrt(0.0015+0.00256**windspeed);

	p=exp(-0.5*(pow(*zdeta_x,2) + pow(*zdeta_y,2))/pow(sigma,2)) / (2.0*pi*pow(sigma,2.0));
      }

  return p;
  

}
