/******************************************************************************/
/*                                                                            */
/* Program Name:  filetime                                                    */
/*                                                                            */
/* Programmer: Robert Potash, PRC                                             */
/*             Derived from Lee Colbert's program LATEST.C                    */
/*                                                                            */
/* Date created:  June 30, 1999                                               */
/*                                                                            */
/* Purpose:  List file modification time, to nearest second                   */
/*                                                                            */
/* Compile command:   cc -o filetime  filetime.c [-lm?]                       */
/*                                                                            */
/******************************************************************************/
/* INCLUDES                                                                   */
/******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/stat.h>
#include <math.h>

/******************************************************************************/
/* MAIN PROGRAM MODULE BEGIN                                                  */
/******************************************************************************/

int main(  int argc,  char *argv[] )
{

	/*----------------------------------------------------------------------------*/
	/* LOCAL VARIABLE DEFINITIONS                                                 */

	   struct tm    *time_struct;    /* Pointer to time structure           */
	      time_t        secs_now;       /* Seconds since The Beginning (1970)  */
	         char          TIMESTRING[70]; /* Time formatted in a string          */
		    char          FILENAME[80];   /* String containing filepath/name     */
		       FILE         *IFP;            /* Input File  File Pointer            */
		          struct stat   STATBUF;        /* Pointer to  File Status structure   */
			     int           HANDLE;         /* File handle                         */

			     /*----------------------------------------------------------------------------*/
			     /* BEGIN MAIN PROGRAM                                                         */

			        if(argc != 2)
					   {
						         printf("\n Usage: filetime   filename  \n");
							       return 1;
							          }
				   sprintf( FILENAME,  argv[1] );
				      if ((IFP = fopen(FILENAME,"r")) == NULL) {
					            printf("\n Error opening input file \n");
						          return(1);
							     } else {
								           HANDLE=fileno(IFP);
									         fstat( HANDLE, &STATBUF );
										       tzset();
										             time_struct=localtime(&STATBUF.st_mtime);
											           strftime(TIMESTRING,(size_t)70," %a %b %d %X ", time_struct);
												         printf(" File: %s  modTime-%s \n", FILENAME, TIMESTRING);
													    }
				         fclose(IFP);
					    return(0);
}
