C Copyright(c) 1997, Space Science and Engineering Center, UW-Madison
C Refer to "McIDAS Software Acquisition and Distribution Policies"
C in the file  mcidas/data/license.txt

C *** $Id: imgdparm.inc,v 1.7 1997/10/10 20:16:12 dglo Exp $ ***

c --- AUDPOS: location within an image file's directory block of the
c             word which contains the byte offset to the AUDit trail block
c --- AUDSIZ: number of bytes per comment block entry

      integer		IMGDIR_AUDPOS
      parameter		(IMGDIR_AUDPOS = 64)
      integer		IMGDIR_AUDSIZ
      parameter		(IMGDIR_AUDSIZ = 80)


c --- AUXPOS: location within an image file's directory block of the
c             word which contains the byte offset to the AUXiliary block
c --- AUXLEN: location within an image file's directory block of the
c             word which contains the length of the AUXiliary block in bytes

      integer		IMGDIR_AUXPOS
      parameter		(IMGDIR_AUXPOS = 60)
      integer		IMGDIR_AUXLEN
      parameter		(IMGDIR_AUXLEN = 61)


c --- BNDPOS: location within an image file's directory block of the
c             word which contains the number of spectral bands
c --- BNDMAP: location within an image file's directory block of the
c             word which contains the spectral band mappping

      integer		IMGDIR_BNDPOS
      parameter		(IMGDIR_BNDPOS = 14)
      integer		IMGDIR_BNDMAP
      parameter		(IMGDIR_BNDMAP = 19)


c --- BYTPOS: location within an image file's directory block of the
c             word which contains the number of bytes per image element

      integer		IMGDIR_BYTPOS
      parameter		(IMGDIR_BYTPOS = 11)


c --- CALLEN: location within an image file's directory block of the
c             word which contains the length of the line prefix calibration
c --- CALPOS: location within an image file's directory block of the
c             word which contains the byte offset to the CALibration block
c --- CALTYP: location within an image file's directory block of the
c             word which contains the calibration type

      integer		IMGDIR_CALLEN
      parameter		(IMGDIR_CALLEN = 50)
      integer		IMGDIR_CALPOS
      parameter		(IMGDIR_CALPOS = 63)
      integer		IMGDIR_CALTYP
      parameter		(IMGDIR_CALTYP = 53)


c --- DATPOS: location within an image file's directory block of the
c             word which contains the byte offset to the DATa block
c --- DATSIZ: location within an image file's directory block of the
c             word which contains the number of bytes per data element

      integer		IMGDIR_DATPOS
      parameter		(IMGDIR_DATPOS = 34)
      integer		IMGDIR_DATSIZ
      parameter		(IMGDIR_DATSIZ = 11)


c --- DAYPOS: location within an image file's directory block of the
c             word which contains the image start day

      integer		IMGDIR_DAYPOS
      parameter		(IMGDIR_DAYPOS = 4)

c --- DIRSIZ: word size of the image file directory block
c --- DIRBYT: byte size of the image file directory block

      integer		IMGDIR_DIRSIZ
      parameter		(IMGDIR_DIRSIZ = 64)
      integer		IMGDIR_DIRBYT
      parameter		(IMGDIR_DIRBYT = IMGDIR_DIRSIZ*4)


c --- DOCLEN: location within an image file's directory block of the
c             word which contains the length of the line prefix documentation

      integer		IMGDIR_DOCLEN
      parameter		(IMGDIR_DOCLEN = 49)


c --- ELEBEG: location within an image file's directory block of the
c             word which contains the beginning image line number
c --- ELEPOS: location within an image file's directory block of the
c             word which contains the number of elements per image line
c --- ELERES: location within an image file's directory block of the
c             word which contains the resolution of the image lines

      integer		IMGDIR_ELEBEG
      parameter		(IMGDIR_ELEBEG = 7)
      integer		IMGDIR_ELEPOS
      parameter		(IMGDIR_ELEPOS = 10)
      integer		IMGDIR_ELERES
      parameter		(IMGDIR_ELERES = 13)


c --- LEVLEN: location within an image file's directory block of the
c             word which contains the length of the line prefix level map

      integer		IMGDIR_LEVLEN
      parameter		(IMGDIR_LEVLEN = 51)


c --- LINBEG: location within an image file's directory block of the
c             word which contains the beginning image line number
c --- LINPOS: location within an image file's directory block of the
c             word which contains the number of image lines in the data block
c --- LINRES: location within an image file's directory block of the
c             word which contains the resolution of the image lines

      integer		IMGDIR_LINBEG
      parameter		(IMGDIR_LINBEG = 6)
      integer		IMGDIR_LINPOS
      parameter		(IMGDIR_LINPOS = 9)
      integer		IMGDIR_LINRES
      parameter		(IMGDIR_LINRES = 12)


c --- MEMPOS: location within an image file's directory block of the
c             word which contains the position of the memo field
c --- MEMLEN: length of the memo field

      integer		IMGDIR_MEMPOS
      parameter		(IMGDIR_MEMPOS = 25)
      integer		IMGDIR_MEMLEN
      parameter		(IMGDIR_MEMLEN = 32)


c --- NAVPOS: location within an image file's directory block of the
c             word which contains the byte offset to the NAVigation block

      integer		IMGDIR_NAVPOS
      parameter		(IMGDIR_NAVPOS = 35)


c --- PREPOS: location within an image file's directory block of the
c             word which contains the number of bytes per image line prefix

      integer		IMGDIR_PREPOS
      parameter		(IMGDIR_PREPOS = 15)


c --- SOUPOS: location within an image file's directory block of the
c             word which contains the sensor source number
c --- SOUTYP: location within an image file's directory block of the
c             word which contains the sensor source type

      integer		IMGDIR_SOUPOS
      parameter		(IMGDIR_SOUPOS = 3)
      integer		IMGDIR_SOUTYP
      parameter		(IMGDIR_SOUTYP = 52)


c --- TIMPOS: location within an image file's directory block of the
c             word which contains the image start time

      integer		IMGDIR_TIMPOS
      parameter		(IMGDIR_TIMPOS = 5)


c --- TYPPOS: location within an image file's directory block of the
c             word which contains the image type
c --- TYPMIN: minimum value for image type
c --- TYPMAX: maximum value for image type

      integer		IMGDIR_TYPPOS
      parameter		(IMGDIR_TYPPOS = 2)
      integer 		IMGDIR_TYPMIN
      parameter		(IMGDIR_TYPMIN = 1)
      integer 		IMGDIR_TYPMAX
      parameter		(IMGDIR_TYPMAX = 4)



c --- VALPOS: location within an image file's directory block of the
c             word which contains the number of bytes per image line prefix

      integer		IMGDIR_VALPOS
      parameter		(IMGDIR_VALPOS = 36)


c --- MX_IMAGE_DIR_WORDS: number of words in an Image directory as returned
c --- by mcadir() and mcadrd().

      integer     MX_IMAGE_DIR_WORDS
      parameter ( MX_IMAGE_DIR_WORDS = 65 )
