C Copyright(c) 1997, Space Science and Engineering Center, UW-Madison
C Refer to "McIDAS Software Acquisition and Distribution Policies"
C in the file  mcidas/data/license.txt

C *** $Id: m0xcd.inc,v 1.6 2000/05/03 20:15:19 chadj Rel $ ***


c-----------------------------------------------------------------------
c---     File       : xcdconxt.inc
c---     Description: This include file is used by the decoding system
c---                  to tell the decoders the values of often used
c---                  constants. (This particular version is ASCII)
c---     Created    : 06/20/93
c---     Author     : John Pyeatt
c-----------------------------------------------------------------------

c---  Control Character Data Set

      INTEGER NULL   , SOH    , ETX    , EOT    , CRT    , LF     ,
     &        RECSEP , GRPSEP , STX    , ENQ    , DLE


c---                    NULL - Null character

      PARAMETER (NULL   = 0)

c---                    SOH - Start of header character

      PARAMETER (SOH    = 1)

c---                    STX - Start of text character

      PARAMETER (STX    = 2)

c---                    ETX - End of text

      PARAMETER (ETX    = 3)

c---                    EOT - End of transmission

      PARAMETER (EOT    = 4)

c---                    ENQ - Enquiry

      PARAMETER (ENQ    = 5)

c---                    CRT - Carriage return

      PARAMETER (CRT    = 13)

c---                    LF - Line Feed

      PARAMETER (LF     = 10)

c---                    DLE - Data Link Escape

      PARAMETER (DLE    = 16)

c---                    RECSEP - Record Separator

      PARAMETER (RECSEP = 30)

c---                    GRPSEP - Group Separator

      PARAMETER (GRPSEP = 29)

c-----------------------------------------------------------------------

c---  Printable Character Data Set

      INTEGER SPACE  , CHARAL , CHARAU , CHARZL , CHARZU , CHAR0  ,
     *          CHAR9  , XCLAM  , EQUAL  , SLASH  , PERIOD , COMMA  ,
     *          COLON  , SCOLON , PLUS   , MINUS  , LOGNOT , AMPER  ,
     *          AZOFF
c---                    SPACE - Space

      PARAMETER (SPACE  = 32)

c---                    CHARAL - Lower case 'a'

      PARAMETER (CHARAL = 97)

c---                    CHARAU - Upper case 'A'

      PARAMETER (CHARAU = 65)

c---                    CHARZL - Lower case 'z'

      PARAMETER (CHARZL = 122)

c---                    CHARZU - Upper case 'Z'

      PARAMETER (CHARZU = 90)

c---                    CHAR0 - Character '0'

      PARAMETER (CHAR0  = 48)

c---                    CHAR9 - Character '9'

      PARAMETER (CHAR9  = 57)

c---                    XCLAM - Exclamation point '!'

      PARAMETER (XCLAM  = 33)

c---                    EQUAL - Equal sign '='

      PARAMETER (EQUAL  = 61)

c---                    SLASH - Slash '/'

      PARAMETER (SLASH  = 47)

c---                    PERIOD - Period '.'

      PARAMETER (PERIOD = 46)

c---                    COMMA - Comma ','

      PARAMETER (COMMA  = 44)

c---                    COLON - Colon ':'

      PARAMETER (COLON  = 58)

c---                    SCOLON - Semi-colon ';'

      PARAMETER (SCOLON = 59)

c---                    PLUS - Plus sign '+'

      PARAMETER (PLUS   = 43)

c---                    MINUS - Minus sign '-'

      PARAMETER (MINUS  = 45)

c---                    LOGNOT - Logical not '^'

      PARAMETER (LOGNOT = 94)

c---                    AMPER - Ampersand '@'

      PARAMETER (AMPER  = 64)

c---                    AZOFF - Is the offset amount between a capital
c---                            'A' and a small 'a'.  This is used to
c---                            convert between cases

      PARAMETER (AZOFF = CHARAL - CHARAU)

c-----------------------------------------------------------------------

c---  Other important parameters

      INTEGER MISS   , BLANK , MXINT4 , MNINT4 , MXLWWD , MXLWBT
      INTEGER MXINT2 , MNINT2

c---                    MISS - Missing value code

      PARAMETER (MISS   = Z'80808080')

c---                    BLANK - 4 character blanks

      PARAMETER (BLANK  = Z'20202020')

c---                    MXINT4 - Maximum value for an integer*4

      PARAMETER (MXINT4 = Z'7FFFFFFF')

c---                    MNINT4 - Minumum value for an integer*4

      PARAMETER (MNINT4 = Z'80000000')

c---                    MXINT2 - Maximum value for an integer*2

      PARAMETER (MXINT2 = Z'7FFF')

c---                    MNINT2 - Minimum value for an integer*2

      PARAMETER (MNINT2 = Z'8000')

c---                    MXLWWD - Maximum word number that can be
c---                             written to for the LW system

      PARAMETER (MXLWWD = 1073741824)

c---			MXLWBT - Maximum byte number that can be
c---				 written to for the LW system

      PARAMETER (MXLWBT = MXLWWD)
c-----------------------------------------------------------------------
c---     File       : xcdfiles.inc
c---     Description: This include file is used by decoders to name all
c---                  of the utility files used in the decoding system.
c---     Created    : 06/20/93
c---     Author     : John Pyeatt
c-----------------------------------------------------------------------

      CHARACTER*12 FCIRCT , FDCINF , FDXALS , FDSTAT , FLOCAL ,
     &             FWXBOX , FIDMSL , FASFIL , FSIGCO , FCNTRY ,
     &             FREGON , FVORID , FMASID , FTXTPD , FAFOPD ,
     &             FRTMDL , FSVEVT , FCTYFL , FDCPTR

c---                    FCIRCT - File that contains configuration
c---                             information for each circuit

      PARAMETER (FCIRCT = 'CIRCUIT.DAT ')

c---                    FDCINF - File that contains the decoder processing
c---                             information

      PARAMETER (FDCINF = 'DECINFO.DAT')

c---                    FDXALS - File that tells which data of different
c---                             WMO headers are alike

      PARAMETER (FDXALS = 'IDXALIAS.DAT')

c---                    FCTYFL - File containing county outlines

      PARAMETER (FCTYFL = 'CNTYOUTL.DAT')

c---                    FDSTAT - File that contains the bulletin board
c---                             status display

      PARAMETER (FDSTAT = 'DECOSTAT.DAT')

c---                    FMASID - Master ID List used to build station
c---                             ID lists

      PARAMETER (FMASID = 'STNDB.CORE  ')

c---                    FLOCAL - Local ID List used to build station
c---                             ID lists

      PARAMETER (FLOCAL = 'LOCALID.DAT ')

c---                   FWXBOX - File containing information for severe
c---                            weather watch box decoder

      PARAMETER (FWXBOX = 'WXWATCH.DAT ')

c---                   FIDMSL - File containing information for the
c---                            MSL command

      PARAMETER (FIDMSL = 'IDMSL ')

c---                   FASFIL - File containing information for the
c---                            FASTXT command

      PARAMETER (FASFIL = 'FASTXT.DAT  ')

c---                   FSIGCO - File containing a list of countries to
c---                            save significant level raob information
c---                            for

      PARAMETER (FSIGCO = 'SIGCO.DAT   ')

c---                   FCNTRY - File containing a list of countries
c---                            used by IDGROUP and LODREG

      PARAMETER (FCNTRY = 'COUNTRY.DAT')

c---                   FREGON - File containing a list of regions
c---                            used by STNLIST and LODREG

      PARAMETER (FREGON = 'GROUPS.DAT ')

c---                   FVORID - File containing the master list of
c---                            VOR stations.  This is in the same
c---                            format as FMASID

      PARAMETER (FVORID = 'VORID.DAT   ')

c---                   FSVEVT - Severe event file name

      PARAMETER (FSVEVT = 'SEVREVNT.DAT')

c---                   FTXTPD - File containing text products
c---                            available with AFOS cross
c---                            references

      PARAMETER (FTXTPD = 'TEXTPROD.DAT')

c---                   FAFOPD - File containing complete AFOS
c---                            to WMO header cross reference list

      PARAMETER (FAFOPD = 'AFOS.TXT    ')

c---                   FRTMDL - File containing filing structure
c---                            for real time grid files

      PARAMETER (FRTMDL = 'RTMODELS.CFG')

c---                   FDCPTR - File containing last index pointer
c---                            for each decoder

      PARAMETER (FDCPTR = 'DCLSTIDX.PTR')

c-----------------------------------------------------------------------
c---     File       : xcdsplt.inc
c---     Description: This include file is used by decoders that use the
c---                  decoding subroutine DCSPLT to tokanize the
c---                  observation
c---     Created    : 06/20/93
c---     Author     : John Pyeatt
c-----------------------------------------------------------------------

      INTEGER   MSG    , DCMXCH , DCMXGP , ASLASH , ADIGIT , ACHAR  ,
     &          ABLANK , APUNCT , PLSMNS , AEQUAL , ARECSP , AXCLAM ,
     &          AAMPER , ALOGNT , AOTHER , TYPE , POINT , NUMCH

c---                    DCMXCH - The maximum number of characters that
c---                             can be tokanized

      PARAMETER (DCMXCH = 2400)

c---                    DCMXGP - The maximum number of groups that an
c---                             a string can be tokanized into

      PARAMETER (DCMXGP = 800)

c---                    ASLASH - Group value representing a slash '/'

      PARAMETER (ASLASH = 0)

c---                    ADIGIT - Group value representing a digit (0-9)

      PARAMETER (ADIGIT = 1)

c---                    ACHAR - Group value representing a character
c---                            (A-Z)

      PARAMETER (ACHAR  = 2)

c---                    ABLANK - Group value representing a blank

      PARAMETER (ABLANK = 3)

c---                    APUNCT - Group value representing punctuation
c---                             (.,:;)

      PARAMETER (APUNCT = 4)

c---                    PLSMNS - Group value representing a plus or a
c---                             minus sign

      PARAMETER (PLSMNS = 5)

c---                    AEQUAL - Group value representing an equal sign

      PARAMETER (AEQUAL = -1)

c---                    ARECSP - Group value representing a record
c---                             separator

      PARAMETER (ARECSP = 6)

c---                    AXCLAM - Group value representing an exclamation
c---                             point

      PARAMETER (AXCLAM = 7)

c---                    AAMPER - Group value representing an ampersand

      PARAMETER (AAMPER = 8)

c---                    ALOGNT - Group value representing a logical not

      PARAMETER (ALOGNT = 9)

c---                    AOTHER - Group value representing anything else

      PARAMETER (AOTHER = 999)
      COMMON /DCCHAR/ MSG(DCMXCH)
      COMMON /DCGRP/ TYPE(DCMXGP),POINT(DCMXGP),NUMCH(DCMXGP)

c-----------------------------------------------------------------------
c---     File       : xcdstat.inc
c---     Description: This include file is used by the decoding system
c---		      to give pertinent structure information for the
c---		      status display portion of the decoder package.
c---		      This include file should be put in any routine
c---		      that calls either wsdcd or rsdcd
c---     Created    : 06/20/93
c---     Author     : John Pyeatt
c-----------------------------------------------------------------------


      INTEGER BBON   , BBCIRC , BBTIME , BBTASK , BBLINE , BBINDX ,
     &        BBORGN , BBTEXT , BBBPTR , BBLPTR , BBMD   , BBGRDF ,
     &        BBROW  , BBCOL  , BBGRID , BBMXDC , BBMXCI , BBSIZE ,
     &        BBWMO  , BBPROD , BBDAY  , BBDXNM

c---                    Array locations where bulletin board information
c---                    is to be stored

c---                    BBON   - Status on/off switch

      PARAMETER (BBON   = 1)

c---                    BBCIRC - Circuit name

      PARAMETER (BBCIRC = 2)

c---                    BBTIME - Status time stamp

      PARAMETER (BBTIME = 3)

c---                    BBTASK - Task name

      PARAMETER (BBTASK = 4)

c---                    BBDAY  - Status day stamp

      PARAMETER (BBDAY  = 6)


c---
c---  Ingestor specific values
c---

c---                    BBLINE - Last line written by ingestor

      PARAMETER (BBLINE = 7)

c---                    BBINDX - Last LW index location written to

      PARAMETER (BBINDX = 8)

c---                    BBORGN - Last WMO header origin written

      PARAMETER (BBORGN = 9)

c---                    BBWMO  - Wmo header name

      PARAMETER (BBWMO  = 10)

c---			BBPROD - Header product code

      PARAMETER (BBPROD = 11)

c---
c---  Decoder specific values
c---

c---                    BBBPTR - Beginning index location  Same as
c---                             last index processed by the decoder

      PARAMETER (BBBPTR = 7)

c---                    BBLPTR - Last index location that the decoder
c---                             knows it is to process

      PARAMETER (BBLPTR = 8)

c---                    BBMD   - Last MD file decoder has written to

      PARAMETER (BBMD   = 9)

c---                    BBGRDF - Last Grid file decoder has written to

      PARAMETER (BBGRDF = 9)

c---                    BBROW  - Last MD row decoder has written to

      PARAMETER (BBROW  = 10)

c---                    BBGRID - Last Grid decoder has written to

      PARAMETER (BBGRID = 10)

c---                    BBCOL  - Last MD column decoder has written to

      PARAMETER (BBCOL  = 11)

c---                    BBTEXT - 3 word text file name written to

      PARAMETER (BBTEXT = 12)

c---			BBDXNM - 2 word index file name read from

      PARAMETER (BBDXNM = 15)

c---
c---  Other important bulletin board values
c---

c---                    BBSIZE - Size of bulletin board array

      PARAMETER (BBSIZE = 20)

c---                    BBMXDC - Maximum number of decoders in status
c---                             display

      PARAMETER (BBMXDC = 100)

c---                    BBMXCI - Maximum number of circuits in status
c---                             display

      PARAMETER (BBMXCI =  32)

c-----------------------------------------------------------------------
c---     File       : xcdtext.inc
c---     Description: This include file is used by the fast access file
c---                  system for observational data
c---     Created    : 06/20/93
c---     Author     : John Pyeatt
c-----------------------------------------------------------------------

c---    Header information from the pointer file

      INTEGER THTXTF , THUSER , THCDAY , THCTIM , THMXID , THNMID ,
     &          THRPTM , THWDID , THOBPS , THTMIC , THSZSB , THSZOB ,
     &          THSZLN , THIDTP , THI1OF , THI2OF , THSBOF , THSBHD ,
     &          THOBHD , THDCNM , THMAST , THNMCI , THCIRC , THSIZE ,
     &          THSZDR , THSZTX

c---                    THSIZE - Size of the text pointer header

      PARAMETER (THSIZE = 64)

c---                    THTXTF - beginning location in the text pointer
c---                             header where the text file name is
c---                             found

      PARAMETER (THTXTF =  1)

c---                    THUSER - location in the header where the
c---                             creator's initials are found

      PARAMETER (THUSER =  4)

c---                    THCDAY - location in the header where the
c---                             creation day is located

      PARAMETER (THCDAY =  5)

c---                    THCTIM - location in the header where the
c---                             creation time is located

      PARAMETER (THCTIM =  6)

c---                    THMXID - location in the header where the
c---                             maximum number of stations that
c---                             can be stored is found

      PARAMETER (THMXID =  7)

c---                    THNMID - location in the header where the
c---                             number of currently defined stations
c---                             is found

      PARAMETER (THNMID =  8)

c---                    THRPTM - location in the header where the
c---                             maximum number of reports per
c---                             observation time

      PARAMETER (THRPTM =  9)

c---                    THWDID - location in the header where the
c---                             number of words necessary to
c---                             describe the station id is found

      PARAMETER (THWDID = 10)

c---                    THOBPS - location in the header where the
c---                             number of observation blocks per
c---                             station is found

      PARAMETER (THOBPS = 11)

c---                    THTMIC - location in the header where the
c---                             minimum number of hours between
c---                             observation blocks is found

      PARAMETER (THTMIC = 12)

c---                    THSZSB - location in the header where the
c---                             size of the station information
c---                             block is found

      PARAMETER (THSZSB = 13)

c---                    THSZOB - location in the header where the
c---                             size of the observation block is
c---                             found

      PARAMETER (THSZOB = 14)

c---                    THSZLN - location in the header where the
c---                             number of words needed to describe
c---                             one line of the observation is found

      PARAMETER (THSZLN = 15)

c---                    THIDTP - location in the header where the
c---                             id type is found

      PARAMETER (THIDTP = 16)

c---                    THI1OF - location in the header where the
c---                             lw address location of the start of
c---                             the id list for the first word is
c---                             found

      PARAMETER (THI1OF = 17)

c---                    THI2OF - location in the header where the
c---                             lw address location of the start of
c---                             the id list for the second word is
c---                             found

      PARAMETER (THI2OF = 18)

c---                    THSBOF - location in the header where the
c---                             lw address location of the start
c---                             of the station information blocks
c---                             is found

      PARAMETER (THSBOF = 19)

c---                    THSBHD - location in the header where the
c---                             size of the station information
c---                             block header is located

      PARAMETER (THSBHD = 20)

c---                    THOBHD - location in the header where the
c---                             size of the observation block
c---                             header is located

      PARAMETER (THOBHD = 21)

c---                    THSZDR - location in the header where the
c---                             size of the actual observation
c---                             directory is stored

      PARAMETER (THSZDR = 22)

c---                    THSZTX - locaton in the header where the
c---                             maximum size of the TXT file is
c---                             located

      PARAMETER (THSZTX = 23)

c---                    THDCNM - location in the header where the
c---                             start of the decoder name is located

      PARAMETER (THDCNM = 47)

c---                    THMAST - location in the header where the
c---                             start of the master id list name
c---                             is located

      PARAMETER (THMAST = 49)

c---                    THNMCI - location in the header where the
c---                             number of circuits used to define
c---                             the id table is located

      PARAMETER (THNMCI = 52)

c---                    THCIRC - location in the header where the
c---                             start of the circuit list is
c---                             located

      PARAMETER (THCIRC = 53)

c---    Station Information Block and Observation Block Descriptors

      INTEGER TSBMRP , TSBSHR , TSBSDY , TSBEHR , TSBEDY , TOBZHD ,
     &          TOBSHR , TOBSDY , TOBEHR , TOBEDY , TOBMRP , TOBHMS ,
     &          TOBTYP , TOBACT , TOBNLN , TOBPTR , TOEHMS

c---                    TSBMRP - location in the station information
c---                             block where the pointer to the most
c---                             observation block is located

      PARAMETER (TSBMRP =  1)

c---                    TSBSHR - location in the station information
c---                             block where the starting time of the
c---                             most recent observation block is
c---                             stored

      PARAMETER (TSBSHR =  2)

c---                    TSBSDY - location in the station information
c---                             block where the starting day of the
c---                             most recent observation block is
c---                             stored

      PARAMETER (TSBSDY =  3)

c---                    TSBEHR - location in the station information
c---                             block where the ending day of the
c---                             most recent observation block is
c---                             stored

      PARAMETER (TSBEHR =  4)

c---                    TSBEDY - location in the station information
c---                             block where the ending day of the
c---                             most recent observation block is
c---                             stored

      PARAMETER (TSBEDY =  5)

c---                    TOBZHD - size of an observation header

      PARAMETER (TOBZHD =  8)

c---                    TOBMRP - location in the observation block
c---                             where the most recent observation
c---                             within the observation block is
c---                             located

      PARAMETER (TOBMRP =  1)

c---                    TOBSHR - location in the observation block
c---                             where the starting time of the
c---                             observation is located

      PARAMETER (TOBSHR =  2)

c---                    TOBSDY - location in the observation block
c---                             where the starting day of the
c---                             observation is located

      PARAMETER (TOBSDY =  3)

c---                    TOBEHR - location in the observation block
c---                             where the ending time of the
c---                             observation is located

      PARAMETER (TOBEHR =  4)

c---                    TOBEDY - location in the observation block
c---                             where the ending day of the
c---                             observation is located

      PARAMETER (TOBEDY =  5)

c---                    TOBHMS - location within a particular
c---                             observation where the actual
c---                             observation time is stored

      PARAMETER (TOBHMS =  1)

c---                    TOBTYP - location within a particular
c---                             observation where the type of
c---                             observation flag is stored

      PARAMETER (TOBTYP =  2)

c---                    TOBACT - location within a particular
c---                             observation where the activation
c---                             flag is stored

      PARAMETER (TOBACT =  3)

c---                    TOBNLN - location within a particular
c---                             observation where the number of
c---                             lines in the observation is stored

      PARAMETER (TOBNLN =  4)

c---                    TOBPTR - location within a particular
c---                             observation where the lw address
c---                             of the location of the observation's
c---                             text is stored

      PARAMETER (TOBPTR =  5)

c---                    TOEHMS - location within a particular
c---                             observation where the actual
c---                             observation ending time is stored

      PARAMETER (TOEHMS =  6)

