/* --- maskglint_.c --- */

/* 7/12/01
 SNM
 Function to check difference in BT (glint - no-glint) against 
 a threshold value and return a flag indicating pass or fail
 Inputs - dbt (difference brightness temperature)
          o_zen = sat_z_rad (satellite zenith angle (rad))
 Ouptut - dsst_res (flag indicating result of sunglint test)
          0 = fail, 1 = pass
*/

#include <stdio.h>
#include <math.h>

int maskglint_(float *dbt, float *o_zen)
{

  float thresh, a, b;
  float dsst; /* difference SST */

  thresh = 0.1; /* threshold value for DSST (K) */
  /* might want to pass this from goes_sst */


  /* set BT to SST coeffts a and b */
  a = 1.141;
  b = 0.074;

  /* calculate the difference SST */
  dsst = *dbt * (a + b * (1.0/cos(*o_zen) - 1.0)); 


  /* Fail if the DSST is greater than the threshold value or if it is infinite */
  if ((fabs(dsst) > thresh) || (dsst == HUGE_VAL) ||  (dsst == -HUGE_VAL)) 
   {
      return 0;    /* fail */
      /* pass if DSST is less than the threshold value */
    }else if (fabs(dsst) <= thresh) 
      {
	return 1;    /* pass */
      }


}
