C Copyright(c) 1997, Space Science and Engineering Center, UW-Madison
C Refer to "McIDAS Software Acquisition and Distribution Policies"
C in the file  mcidas/data/license.txt

C *** $Id: syscon.inc,v 1.9 1997/10/10 20:16:18 dglo Exp $ ***

C********************** START OF DISYSCON      *************************
C     You must include 'hex80.inc' before including this file.

C $   (DJA)
C $   THIS INCLUDE FILE IS PART OF THE MCIDAS SUBSYSTEM.
C $
C $   DESCRIPTION:
C $      THESE ARE CONSTANTS USED THROUGHOUT THE MCIDAS SYSTEM.
C $
C $   PARAMETER/COMMON/VARIABLE DESCRIPTONS:
C $   PGSIZE - THE SIZE OF A PAGE ON THE MCIDAS SYSTEM.
C $   NULL   - THE SENTINEL VALUE FOR AN UNINITIALIZED VARIABLE.
C $   NON    - THE WINDOW/ENTRY IS RELEASED.
C $   NOFF   - THE ENTRY IS SUSPENDED.
C $   NONE   - THERE ARE NO SUBENTRIES.
C $   NTRUE  - A BOOLEAN TRUE.
C $   NFALSE - A BOOLEAN FALSE.
C $   NERR   - THE RETURN CODE IF AN ERROR HAS BEEN DETECTED.
C $   NOERR  - THE RETURN CODE IF NO ERROR HAS BEEN DETECTED.
C $   NYES   - POSSIBLY OBSELETE
C $   NO     - POSSIBLY OBSELETE
C $   NSTOP  - THIS INDICATES THAT A VALUE WAS NOT FOUND IN THE DATABASE
C $   NOVAL  - POSSIBLY OBSELETE
C $   RADEAR - THE RADIUS OF THE EARTH.
C $   YFORM  - THE CONSTANT OF CONVERSION FROM RADIANS TO DEGREES.
C $   XFORM  - THE CONSTANT OF CONVERSION FROM DEGREES TO RADIANS.
C $   PERIOD - THE PERIOD OF A POLAR ORBITING SATELLITE.
C $   NMXARA - THE MAXIMUM AREA NUMBER.
C $   MXGPA = MAXIMUM GROUPS PER AREA
C $
C $   DEPENDENT INCLUDE FILES:
C $      hex80.inc
C $
C $$  SYSCON = INCLUDE


      INTEGER PGSIZE
      PARAMETER (PGSIZE = 1024)

      INTEGER NULL
      PARAMETER (NULL   = HEX80)

      INTEGER NON
      PARAMETER (NON    = 1)

      INTEGER NOFF
      PARAMETER (NOFF = 0)

      INTEGER NONE
      PARAMETER (NONE   = 0)

      INTEGER NTRUE
      PARAMETER (NTRUE  = 1)

      INTEGER NFALSE
      PARAMETER (NFALSE = 0)

      INTEGER NERR
      PARAMETER (NERR   = -1)

      INTEGER NOERR
      PARAMETER (NOERR = 0)

      INTEGER NYES
      PARAMETER (NYES   = 1)

      INTEGER NO
      PARAMETER (NO = 0)

      INTEGER NSTOP
      PARAMETER (NSTOP  = 0)

      INTEGER NOVAL
      PARAMETER (NOVAL  = -1)

      REAL RADEAR
      PARAMETER (RADEAR = 6371.)

      REAL YFORM
      PARAMETER (YFORM  = 57.2957795)

      REAL XFORM
      PARAMETER (XFORM  = .01745329252)

      REAL PERIOD
      PARAMETER (PERIOD = 101.8/21600.)

      INTEGER INF
      PARAMETER (INF    = 200000)

      INTEGER NEGINF
      PARAMETER (NEGINF = 72000)

      INTEGER NMXARA
      PARAMETER (NMXARA = 32767)

      INTEGER  MXGPA
      PARAMETER (MXGPA = 800)
C********************** END OF DISYSCON      ***************************

C --- mccodeset() constants

      integer MCCODE_SUCCESS
      integer MCCODE_RECOVERABLE
      integer MCCODE_UNRECOVERABLE

      parameter( MCCODE_SUCCESS       =  0 )
      parameter( MCCODE_RECOVERABLE   =  2 )
      parameter( MCCODE_UNRECOVERABLE =  1 )

C --- Current maximum size of a navigation block (codicil)

      integer     MX_NAVBLOCK_WORDS
      parameter ( MX_NAVBLOCK_WORDS = 640 )
