C Copyright(c) 1997, Space Science and Engineering Center, UW-Madison
C Refer to "McIDAS Software Acquisition and Distribution Policies"
C in the file  mcidas/data/license.txt

C *** $Id: sysnav.inc,v 1.6 1997/10/10 20:16:18 dglo Exp $ ***

C=========================== DISYSNAV =============================

C $   (JR)
C $   THIS INCLUDE FILE IS USED WITH SYSTEM NAVIGATION ROUTINES
C $
C $   DESCRIPTION:
C $   THIS INCLUDE FILE HOLDS COMMON SYSTEM NAVIGATION PARAMETERS
C $
C $   DEPENDENCIES:
C $   NONE
C $
C $$  DISYSNAV = INCLUDE, NAVIGATION

C DEFINITIONS OF PARAMETERS
C     PREFIX  FIRST SIX CHARACTERS OF ALL SYSTEM NAVIGATION FILES
C     DIRLOC  STARTING WORD NUMBER OF DATA DIRECTORY
C     DIRSIZ  SIZE OF DIRECTORY IN WORDS
C     MAXENT  MAXINUM NUMBER OF BLOCKS IN NAV FILE
C     PRIKEY  LOCATION IN DIRECTORY ENTRY OF PRIMARY KEY
C     SECKEY  LOCATION IN DIRECTORY ENTRY OF SECONDARY KEY
C     ONALOC  STARTING WORD NUMBER OF O&A DATA
C     ENTSIZ  SIZE OF AN ENTRY IN THE DIRECTORY IN WORDS
C     MAXNAV  MAXIMUM ALLOWABLE SYSTEM NAV FILE NUMBER
C     OABKSZ  SIZE OF ORBIT AND ATTITUDE BLOCK SIZE (NON-GVAR SATS)
C     BLGSIZ  SIZE OF BETA, GAMA, OR LANDMARK BLOCK SIZE
C     BETAID  NUMBER DENOTING BLG BLOCK AS A BETA BLOCK
C     GAMAID  NUMBER DENOTING BLG BLOCK AS A GAMA BLOCK
C     LMID    NUMBER DENOTING BLG BLOCK AS A LANDMARK BLOCK
C     EEID    NUMBER DENOTING BLG BLOCK AS AN EARTH EDGE BLOCK

      CHARACTER*6  PREFIX
      INTEGER      DIRLOC, DIRSIZ, MAXENT, PRIKEY, SECKEY, ONALOC
      INTEGER      OABKSZ, BLGSIZ, BETAID, GAMAID, MAXNAV, ENTSIZ
      INTEGER      LMID  , EEID

      PARAMETER (PREFIX = 'SYSNAV')

      PARAMETER (DIRLOC = 0)
      PARAMETER (MAXENT = 8192-16)
      PARAMETER (PRIKEY = 1)
      PARAMETER (SECKEY = 2)
      PARAMETER (ONALOC = 16*1024)
      PARAMETER (ENTSIZ = 2)
      PARAMETER (DIRSIZ = MAXENT*ENTSIZ)

      PARAMETER (MAXNAV = 9999)

      PARAMETER (OABKSZ = 35)
      PARAMETER (BLGSIZ = 7)
      PARAMETER (BETAID = 1)
      PARAMETER (GAMAID = 2)
      PARAMETER (LMID   = 3)
      PARAMETER (EEID   = 4)

C========================= END DISYSNAV ===========================
