/* --- waterreflectivity_.c --- */

/* 4/12/01
 SNM
 Function to calculate the reflectivity of water
 Inputs - omega (incidence angle for specular reflection (rad))
 Ouptut - reflect_power = rho (reflectivity of water)
*/

#include <stdio.h>
#include <math.h>

float waterreflectivity_(float *omega)
{
  int n;
  float angles[10], reflect[10];
  float s_tmp, denom, reflect_power;

  /* define angles 0, 10, 20,....,90 degrees and the corresponding reflectivity of the water */
  angles[0] = 0.0;
  angles[1] = 0.174533;
  angles[2] = 0.349066;
  angles[3] = 0.523599;
  angles[4] = 0.698132;
  angles[5] = 0.972665;
  angles[6] = 1.04720;
  angles[7] = 1.22173;
  angles[8] = 1.39626;
  angles[9] = 1.57080;

  reflect[0] = 0.0235992;
  reflect[1] = 0.0236107;
  reflect[2] = 0.0237990;
  reflect[3] = 0.0247603;
  reflect[4] = 0.0280789;
  reflect[5] = 0.0378835;
  reflect[6] = 0.0652727;
  reflect[7] = 0.141331;
  reflect[8] = 0.357227;
  reflect[9] = 1.0;

  /* find value of reflectivity by linear interpolation using LUT values */
  s_tmp = *omega/0.174533;
  n = floor(s_tmp);
  denom = angles[n+1] - angles[n];

   reflect_power = (((*omega - angles[n])/denom)*reflect[n+1]) + (((angles[n+1] - *omega)/denom)*reflect[n]);

 return reflect_power;

}
