/* --- zdetafacet_.c --- */

/* 4/12/01
 SNM
 Function to calculate the facet tilts (defined zeisse 95)
 Inputs - satellite and solar zenith angles (rad)
          s_azim = sun_a
	  s_zen = sun_z_rad
	  o_azim = sat_a
	  o_zen = sat_z_rad
	  Azimuths N=0, W+ve
 Outputs - zdeta_x, zdeta_y (facet tilts)
*/

#include <stdio.h>
#include <math.h>

float zdetafacet_(float *s_zen, float *s_azim, float *o_zen, float *o_azim, float *zdeta_x, float *zdeta_y) 
{
  float x, y;

  /* calculate for x and y directions */
    x = (-1.0) * (sin(*s_zen)*cos(*s_azim)+sin(*o_zen)*cos(*o_azim)) / (cos(*s_zen) + cos(*o_zen));

    y = (-1.0) * (sin(*s_zen)*sin(*s_azim)+sin(*o_zen)*sin(*o_azim)) / (cos(*s_zen) + cos(*o_zen));

    *zdeta_x = x;
    *zdeta_y = y;

  return 0;

}
